--
-- MPOwner
--
-- @author  ANDR55
-- Version 0.5
-- @date 23.11.2015

MPOwner_2 = {}

msg = ""

function MPOwner_2.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function MPOwner_2:keyEvent(unicode, sym, modifier, isDown)
end;

function MPOwner_2:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MPOwner_2:update(dt)
end;

function MPOwner_2:draw()

	if msg ~= "" and self.msg_zaehler <= 50 then
		self.msg_zaehler = self.msg_zaehler + 1;
		g_currentMission:addWarning(msg);
		if self.msg_zaehler >= 50 then
			msg = "";
			self.msg_zaehler = 0;
		end;
	end;
end;

function MPOwner_2:delete()
end;


function MPOwner_2:run_VehicleEnterRequestEvent(connection)

	local ok = false;

	ok = (self.object == nil or self.object.MPOwner.owner == nil or self.object.MPOwner.owner == self.controllerName or self.object.MPOwner.owner == "" )
	
	if ok == true then
	
		if self.object.isControlled == false then
			self.object:setOwner(connection);
			g_server:broadcastEvent(VehicleEnterResponseEvent:new(self.objectId, false, self.controllerName), true, connection, self.object);
			connection:sendEvent(VehicleEnterResponseEvent:new(self.objectId, true));

			-- do not call onEnter twice on the server
			if not self.object.isEntered then
				self.object:onEnter(false);
			end;
		end;
	else
		msg = "Dieses Fahrzeug geh\195\182rt "..self.object.MPOwner.owner.."!";
	end;
end;


function MPOwner_2:loadMap(name)
	
	self.msg_zaehler = 0

	VehicleEnterRequestEvent.run = MPOwner_2.run_VehicleEnterRequestEvent;
end;

function MPOwner_2:deleteMap()
end;

addModEventListener(MPOwner_2);
